Subject: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: Calvin Heim <[email-masked]>
Date: Thu, 15 Aug 2019 15:05:57 -0700

resubmitted to list
On Thu, 2019-08-15 at 12:43 +0200, pelzflorian (Florian Pelz) wrote:
> 
> Do I understand correctly that this message appears when booting the
> DVD, not the installed system?
Yes.

> 
> 
> On Wed, Aug 14, 2019 at 03:32:06PM -0700, Calvin Heim wrote:
> > 
> > 
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> I cannot check right now if that is a legitimate partition id for the
> i686 installer, but the installer source code in
> gnu/system/install.scm should mount a partition with
> (file-system-label "Guix_image").  You could check from another OS if
> this partition label exists.  
>From Trisquel 8,
$ ls /dev/disk/by-label
  GUIX_IMAGE
 
$ls /dev/disk/by-uuid
 1970-01-01-19-49-46-83
 [other stuff that doesn't change when the DVD ejects]

The contents of by-id and by-partuuid don't change when the install DVD is inserted,
so I assume that the contents of those directories are not related to the DVD.
> 
> You could also type in the recovery
> Guile repl that opens:
> 
> (use-modules (ice-9 ftw))
> (scandir "/dev/disk/by-id")
> (scandir "/dev/disk/by-uuid")
> (scandir "/dev/disk/by-partuuid")
> 
> and maybe:
> 
> ,L bournish
> cat /run/booted-system/etc/fstab
> 
The keyboard/usb ports do not function at this point in the boot,
despite working earlier in the boot during EFI and GRUB.  I
can see but not type in the recovery Guile repl.

> Regards,
> Florian